#pragma once

struct workMode
{
	wchar_t     chInM{L'A'};  // формат входного файла
	wchar_t     chOutM{L'A'}; // формат выходного файла
	int         nTabWidth{4};
	bool        bRecursive{false};
	fs::path    strInFileName;
	fs::path    strOutFileName;
	workMode() = default;
};

namespace ITCPC
{
	void        Usage();
	void        Process(const fs::path &file);
	bool        CheckInputParams();
	std::wstring GetFormatName(const wchar_t ch);
	void        MakeOutName();
}
